GDAL

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
OGRStylePen Class Reference

This class represents a style pen. More...

`#include <ogr_featurestyle.h>`

Inheritance diagram for OGRStylePen:

## Public Member Functions
const char * | Color (GBool &bDefault)
void | SetColor (const char *pszColor)
double | Width (GBool &bDefault)
void | SetWidth (double dfWidth)
const char * | Pattern (GBool &bDefault)
void | SetPattern (const char *pszPattern)
const char * | Id (GBool &bDefault)
void | SetId (const char *pszId)
double | PerpendicularOffset (GBool &bDefault)
void | SetPerpendicularOffset (double dfPerp)
const char * | Cap (GBool &bDefault)
void | SetCap (const char *pszCap)
const char * | Join (GBool &bDefault)
void | SetJoin (const char *pszJoin)
int | Priority (GBool &bDefault)
void | SetPriority (int nPriority)
const char * | GetParamStr (OGRSTPenParam eParam, GBool &bValueIsNull)
int | GetParamNum (OGRSTPenParam eParam, GBool &bValueIsNull)
double | GetParamDbl (OGRSTPenParam eParam, GBool &bValueIsNull)
void | SetParamStr (OGRSTPenParam eParam, const char *pszParamString)
void | SetParamNum (OGRSTPenParam eParam, int nParam)
void | SetParamDbl (OGRSTPenParam eParam, double dfParam)
const char * | GetStyleString ()
Public Member Functions inherited from OGRStyleTool
| OGRStyleTool (OGRSTClassId eClassId)
GBool | GetRGBFromString (const char *pszColor, int &nRed, int &nGreen, int &nBlue, int &nTransparence)
int | GetSpecificId (const char *pszId, const char *pszWanted)
GBool | IsStyleModified ()
void | StyleModified ()
GBool | IsStyleParsed ()
void | StyleParsed ()
OGRSTClassId | GetType ()
void | SetInternalInputUnitFromParam (char *pszString)
void | SetUnit (OGRSTUnitId, double dfScale=1.0)
OGRSTUnitId | GetUnit ()
void | SetStyleString (const char *pszStyleString)
const char * | GetStyleString (const OGRStyleParamId *pasStyleParam, OGRStyleValue *pasStyleValue, int nSize)
const char * | GetParamStr (const OGRStyleParamId &sStyleParam, OGRStyleValue &sStyleValue, GBool &bValueIsNull)
int | GetParamNum (const OGRStyleParamId &sStyleParam, OGRStyleValue &sStyleValue, GBool &bValueIsNull)
double | GetParamDbl (const OGRStyleParamId &sStyleParam, OGRStyleValue &sStyleValue, GBool &bValueIsNull)
void | SetParamStr (const OGRStyleParamId &sStyleParam, OGRStyleValue &sStyleValue, const char *pszParamString)
void | SetParamNum (const OGRStyleParamId &sStyleParam, OGRStyleValue &sStyleValue, int nParam)
void | SetParamDbl (const OGRStyleParamId &sStyleParam, OGRStyleValue &sStyleValue, double dfParam)
double | ComputeWithUnit (double, OGRSTUnitId)
int | ComputeWithUnit (int, OGRSTUnitId)

## Additional Inherited Members
Protected Member Functions inherited from OGRStyleTool
GBool | Parse (const OGRStyleParamId *pasStyle, OGRStyleValue *pasValue, int nCount)

## Detailed Description

This class represents a style pen.

The documentation for this class was generated from the following files:

- ogr_featurestyle.h
- ogrfeaturestyle.cpp

Generated for GDAL by 1.8.8.